CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Functions
Mutex.h File Reference
`#include <SFML/System/Export.h>`
`#include <SFML/System/Types.h>`

Go to the source code of this file.

## Functions

sfMutex * | sfMutex_create (void)
| Create a new mutex.
void | sfMutex_destroy (sfMutex *mutex)
| Destroy a mutex.
void | sfMutex_lock (sfMutex *mutex)
| Lock a mutex.
void | sfMutex_unlock (sfMutex *mutex)
| Unlock a mutex.

## Function Documentation

## ◆ sfMutex_create()

sfMutex * sfMutex_create | ( | void |  | ) |

Create a new mutex.

Returns
  A new sfMutex object

## ◆ sfMutex_destroy()

void sfMutex_destroy | ( | sfMutex * | mutex | ) |

Destroy a mutex.

Parameters

  mutex | Mutex to destroy

## ◆ sfMutex_lock()

void sfMutex_lock | ( | sfMutex * | mutex | ) |

Lock a mutex.

Parameters

  mutex | Mutex object

## ◆ sfMutex_unlock()

void sfMutex_unlock | ( | sfMutex * | mutex | ) |

Unlock a mutex.

Parameters

  mutex | Mutex object